### Struct

# Ggit IndexEntryResolveUndo

#### Description [src]

    struct GgitIndexEntryResolveUndo {
      /* No available fields */
    }

Represents an resolve undo index entry object.

#### Instance methods

###### ggit_index_entry_resolve_undo_get_file

Get the file of the index entry.

###### ggit_index_entry_resolve_undo_get_id

Get the oid of the index entry.

###### ggit_index_entry_resolve_undo_get_mode

Get the mode of the index entry. The returned mode contains the modes from stage 1, 2 and 3.

###### ggit_index_entry_resolve_undo_ref

Atomically increments the reference count of `entry` by one. This function is MT-safe and may be called from any thread.

###### ggit_index_entry_resolve_undo_unref

Atomically decrements the reference count of `entry` by one. If the reference count drops to 0, `entry` is freed.